### Signal

# Gtk DropTarget::enter

since: 4.0

#### Declaration

    GdkDragAction
    enter (
      GtkDropTarget* self,
      gdouble x,
      gdouble y,
      gpointer user_data
    )

#### Description [src]

Emitted on the drop site when the pointer enters the widget.

It can be used to set up custom highlighting.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`x`

  Type: `gdouble`

  The x coordinate of the current pointer position.

`y`

  Type: `gdouble`

  The y coordinate of the current pointer position.

#### Return value

Type: `GdkDragAction`

Preferred action for this drag operation or 0 if dropping is not supported at the current `x`,`y` location.